# -*- coding: utf-8 -*-
"""
The Census Bureau has reviewed this data product to ensure appropriate 
access, use, and disclosure avoidance protection of the confidential 
source data used to produce this product (Data Management System (DMS)
number: P-7504847, subproject P-7514952, Disclosure Review Board 
(DRB) approval number: CBDRB-FY24-EWD001-003).

"""

import sys
import flask
from flask import request, jsonify


# stub out the class
class Stub(object):
    def start(*args, **kwargs):
        print("starting stub for tests")


sys.modules["server"] = Stub

import main

app = flask.Flask(__name__)
app.config["DEBUG"] = False


@app.route('/SINCT', methods=['GET'])
def run_sinct():
    if 'naics_code' in request.args:
        naics_code = request.args['naics_code']
    else:
        naics_code = '77'
    if 'search_string' in request.args:
        search_string = request.args['search_string']
    else:
        search_string = ''

    search = {'search_string': search_string, 'naics_code': naics_code}
    output = main.predict(search)
    return jsonify(output)


app.run()
